Subject: Re: bug#6594: 23.2; xterm-mouse-mode bug
From: Jan Djärv <[email-masked]>
To: Ilya Tatar <[email-masked]>
Cc: [email-masked]
Date: Wed, 14 Jul 2010 19:57:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ah, the character representation changed with introduction of Unicode.
I checked in a fix in the emacs-23 branch.

	Jan D.

Ilya Tatar skrev 2010-07-09 19.09:
> --text follows this line--
> This bug report will be sent to the Free Software Foundation,
> not to your local site managers!
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
>
> Your bug report will be posted to the [email-masked] mailing list,
> and to the gnu.emacs.bug news group.
>
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug. If you can, give
> a recipe starting from `emacs -Q':
>
>
>
> Hello,
>
>
> I started emacs with "emacs -Q -nw" in xterm
>
> % xterm -version
> XTerm(257)
>
> - if I click on a character on column 0-94, everything works as expected: the
> point moves to that location.
>
> - if I click on a character on column 95, I get an error:
> xterm-mouse-event: Wrong type argument: wholenump, -29
>
> - if I click on a character on column >95, I get the Help menu (same as if I
> clicked on "Help" menu, or pressed "M-` h")
>
>
> Thanks,
> -Ilya
>
>
>
>
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
> `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /pkg/gnu/share/emacs/23.2/etc/DEBUG.
>
>
> In GNU Emacs 23.2.1 (sparc-sun-solaris2.8, GTK+ Version 2.10.13)
> of 2010-05-08 on pkg-build
> configured using `configure '--prefix=/pkg/gnu'
> '--x-includes=/pkg/gnome/include:/usr/X11/include:/usr/openwin/include:/usr/dt/include:/pkg/X11/include'
> '--x-libraries=/pkg/gnome/lib:/usr/X11/lib:/usr/openwin/lib:/usr/dt/lib:/pkg/X11/lib'
> '--with-x' '--with-x-toolkit=gtk' '--with-pkg-config-prog=/usr/bin/pkg-config'
> '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' 'CC=gcc'
> 'CFLAGS= -O3 -mcpu=ultrasparc' 'LDFLAGS=-L/pkg/local/lib -R/pkg/local/lib
> -L/pkg/gnu/lib -R/pkg/gnu/lib' 'CPPFLAGS=-I/pkg/local/include
> -I/pkg/local/include/libpng -I/pkg/gnu/include''
>
> Important settings:
> value of $LC_ALL: nil
> value of $LC_COLLATE: nil
> value of $LC_CTYPE: nil
> value of $LC_MESSAGES: nil
> value of $LC_MONETARY: nil
> value of $LC_NUMERIC: nil
> value of $LC_TIME: nil
> value of $LANG: C
> value of $XMODIFIERS: nil
> locale-coding-system: nil
> default enable-multibyte-characters: t
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
> xterm-mouse-mode: t
> tooltip-mode: t
> mouse-wheel-mode: t
> tool-bar-mode: t
> menu-bar-mode: t
> file-name-shadow-mode: t
> global-font-lock-mode: t
> font-lock-mode: t
> auto-encryption-mode: t
> auto-compression-mode: t
> line-number-mode: t
> transient-mark-mode: t
>
> Recent input:
> ESC [ > 0 ; 2 5 7 ; 0 c ESC ] 1 1 ; r g b : f f f f
> / f f f f / f f f f ESC \ M-x x t - m o u TAB RET C-u
> 9 5 - ESC [ M SPC ~ & ESC [ M # ~ & ESC [ M SPC C-d
> & ESC [ M # C-d & ESC [ M SPC C-M-@ & ESC [ M # C-M-@
> & C-g M-x r e p o TAB r t TAB RET
>
> Recent messages:
> ("emacs")
> For information about GNU Emacs and the GNU system, type C-h C-a.
> Xterm-Mouse mode enabled
> xterm-mouse-event: Wrong type argument: wholenump, -29 [2 times]
> Quit
> Making completion list...
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr message sendmail regexp-opt ecomplete rfc822 mml
> mml-sec password-cache mm-decode mm-bodies mm-encode mailcap mail-parse
> rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util
> netrc time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock
> sha1 hex-util hashcash mail-utils emacsbug help-mode easymenu view tmm
> electric cus-start cus-load xt-mouse tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd fontset
> image fringe lisp-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
> frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
> tai-viet lao korean japanese hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
> simple abbrev loaddefs button minibuffer faces cus-face files
> text-properties overlay md5 base64 format env code-pages mule custom
> widget hashtable-print-readable backquote make-network-process
> font-render-setting gtk x-toolkit x multi-tty emacs)
>
>